﻿using System;
using System.Collections;
using System.Text;
using System.Threading;

namespace TCLR_BRNP_Buzzer1
{
    class Program
    {
        static void Main()
        {
            int frequency = 0, increment = 0;
            BrainPad.Display.Clear();
            BrainPad.Display.DrawSmallText(0, 0, "Frequence = " + frequency);
            BrainPad.Display.RefreshScreen();

            while (true)
            {
                if (BrainPad.Buttons.IsUpPressed())
                {
                    increment = 100;
                }
                if (BrainPad.Buttons.IsDownPressed())
                {
                    increment = -100;
                }
                if (increment != 0)
                {
                    frequency = frequency + increment;
                    BrainPad.Display.Clear();
                    BrainPad.Display.DrawSmallText(0, 0, "Frequence = " + frequency);
                    BrainPad.Display.RefreshScreen();
                    increment = 0;
                    BrainPad.Buzzer.StartBuzzing(frequency);
                    BrainPad.Wait.Seconds(0.2);
                    BrainPad.Buzzer.StopBuzzing();
                }
            }
        }
    }
}
